Package org.apache.ignite.internal.management.encryption

## Class ReencryptionSuspendTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<EncryptionCacheGroupArg,​CacheGroupEncryptionTaskResult<T>,​CacheGroupEncryptionTask.SingleFieldDto<T>>
  - - org.apache.ignite.internal.management.encryption.CacheGroupEncryptionTask<Boolean>
    - - org.apache.ignite.internal.management.encryption.ReencryptionSuspendTask

All Implemented Interfaces:
  `Serializable`, `ComputeTask<VisorTaskArgument<EncryptionCacheGroupArg>,​VisorTaskResult<CacheGroupEncryptionTaskResult<Boolean>>>`

    @GridInternal
    public class ReencryptionSuspendTask
    extends CacheGroupEncryptionTask<Boolean>

Suspend re-encryption of the cache group.

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`protected static class` `ReencryptionSuspendTask.ReencryptionSuspendResumeJobResult`

### Nested classes/interfaces inherited from class org.apache.ignite.internal.management.encryption.CacheGroupEncryptionTask

`CacheGroupEncryptionTask.ReencryptionBaseJob<T>, CacheGroupEncryptionTask.SingleFieldDto<T>`

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
`ReencryptionSuspendTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected VisorJob<EncryptionCacheGroupArg,​CacheGroupEncryptionTask.SingleFieldDto<Boolean>>` `job​(EncryptionCacheGroupArg arg)`

### Methods inherited from class org.apache.ignite.internal.management.encryption.CacheGroupEncryptionTask

`reduce0`

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`jobNodes, map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReencryptionSuspendTask

    public ReencryptionSuspendTask()

### Method Detail

#### job

    protected VisorJob<EncryptionCacheGroupArg,​CacheGroupEncryptionTask.SingleFieldDto<Boolean>> job​(EncryptionCacheGroupArg arg)

Specified by:
  `job` in class `VisorMultiNodeTask<EncryptionCacheGroupArg,​CacheGroupEncryptionTaskResult<Boolean>,​CacheGroupEncryptionTask.SingleFieldDto<Boolean>>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.